Subject: Re: [PATCH net] dpaa2-switch: add bounds check for if_id in IRQ handler

From: Jakub Kicinski <[email-masked]>
Date: Wed, 25 Feb 2026 16:02:29 -0800

On Wed, 25 Feb 2026 11:11:45 -0800 Guenter Roeck wrote:
> Will jumping to the out label here cause an interrupt storm?
> 
> It looks like this bypasses the dpsw_clear_irq_status() call at the end
> of the function. If the hardware interrupt status isn't cleared, it might
> leave the interrupt asserted and cause the handler to trigger continuously.
> Should this code clear the status before returning?
> 
> It seems to me that it has a point, and that the code should at least attempt
> to reset the interrupt status. Please let me know if this is correct or
> if this is not a concern.

Sounds legit, I think you should send a patch if you care.
I suspect the original author is also just using some AI or a static
checker, so getting any insights into how the device works from them
is very unlikely.